Bug 167276 - webalizer - bug fix agent field
Summary: webalizer - bug fix agent field
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: webalizer   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL: http://www.irc.unizh.ch/users/pfrei/w...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-01 07:33 UTC by alwin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.01_10-30
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-16 14:04:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The same as a patch file ready to be added to the spec (799 bytes, text/x-patch)
2006-03-28 14:26 UTC, Jarkko
no flags Details
The same as a patch file ready to be added to the spec (799 bytes, patch)
2006-03-28 14:26 UTC, Jarkko
no flags Details | Diff

Description alwin 2005-09-01 07:33:09 UTC
From Bugzilla Helper:
User-Agent: Opera/8.02 (X11; Linux i686; U; en)

Description of problem:
The agent identification gets truncated, so current webalizer can't detect 
Netscape, Safari, Opera (as MSIE) and Firefox (etc.). It affects the options 
GroupAgent and MangleAgents. It will be all "Mozilla" in the stats. I found a 
patch that fixes this.

http://www.irc.unizh.ch/users/pfrei/webalizer/
<quote>
Bug-fix for truncated user agent strings in the "User Agents" statistics (user 
agent fields can now be grouped more precisely)
</quote>

Version-Release number of selected component (if applicable):
webalizer-2.01-10

How reproducible:
Always

Steps to Reproduce:
1.Watch the User Agent stats.
2.
3.
  

Additional info:

Comment 1 alwin 2006-01-08 18:48:46 UTC
Fixed by Gentoo...  ;-) 
http://bugs.gentoo.org/show_bug.cgi?id=103428 
 

Comment 2 Joe Orton 2006-03-24 11:22:03 UTC
So I don't forget; patch sent privately from James S. Dennis presumably fixes this:

-#define MAXAGENT 64                    /* Max user agent field size */
+#define MAXAGENT 128                   /* Max user agent field size */


Comment 3 Jarkko 2006-03-28 14:26:07 UTC
Created attachment 126904 [details]
The same as a patch file ready to be added to the spec

Comment 4 Jarkko 2006-03-28 14:26:21 UTC
Created attachment 126905 [details]
The same as a patch file ready to be added to the spec

Comment 5 Joe Orton 2006-06-16 14:04:26 UTC
Thanks a lot for the patches, Jarkko (and sorry for the delay!) - I've committed
all of these; should hit Raw Hide once the test1 freeze is over.


Note You need to log in before you can comment on or make changes to this bug.